/*
	toppers_skyeye_config.h 
    Copyright (C) 2006-2009 by Embedded and Real-Time Systems Laboratory
              Graduate School of Information Science, Nagoya Univ., JAPAN
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 
*/
/* toppers_add at 2007-8-28, read and write by COM */
#define TOPPERS_MEMTYPE_DEVM	4
/* topeprs_add at 2007-9-19, read and write by shared memory */
#define TOPPERS_MEMTYPE_SHMEM	5

/* toppers_add at 2007-10-1 */
int toppers_do_devm_int_id_option();
int toppers_do_devm_int_out_option();
int toppers_do_devm_int_in_option();
int toppers_do_devm_mutex_cont_option();
int toppers_do_devm_mutex_obj_option();
int toppers_do_debug_tcp_option();
int toppers_do_prc_id_option();
int toppers_do_prc_affinity_option();
int toppers_do_perf_time_option();
int toppers_do_cycle_counter_option();
/* toppers_add at 2008-03-21 */
int toppers_do_sync_option();

#define TOPPERS_OPTIONS \
	/* COMANZXAhX(vZbT) */                   \
	{"devm_int_id", toppers_do_devm_int_id_option, 0, 1},         \
	{"devm_int_out", toppers_do_devm_int_out_option, 0, 1},       \
	/* AT91̊O݂ɂ킹3܂łƂ */                 \
	{"devm_int_in", toppers_do_devm_int_in_option, 0, 3},         \
	/* COMANZXAhX(~[ebNXRg[) */         \
	{"devm_mutex_cont", toppers_do_devm_mutex_cont_option, 0, 1}, \
	/* ~[ebNXIuWFNg쐬 */                          \
	{"devm_mutex_obj", toppers_do_devm_mutex_obj_option, 0, 16},  \
	{"debug_tcp", toppers_do_debug_tcp_option, 0, 1},             \
	{"prc_id", toppers_do_prc_id_option, 0, 1},                   \
	{"prc_affinity", toppers_do_prc_affinity_option, 0, 1},       \
	{"perf_time", toppers_do_perf_time_option, 0, 1},             \
	{"cycle_counter", toppers_do_cycle_counter_option, 0, 1},     \
	{"sync",toppers_do_sync_option, 0, 1},                        \
